Subject: mkdep: mmap: Not enough memory
From: Andreas Helfenberger <[email-masked]>
To: Chris Faylor <[email-masked]>
Date: Fri, 03 Dec 1999 09:01:26 +0100

Dear cgf
Sorry, already the next question..

I've installed the bash and ecos software tools
- E:\cygnus\cygwin-b20....
- E:\cygnus\ecosSWtools-990319....
I've compiled "ecosSWtools-990319" to generate
the power pc tools powerpc-eabi..
I've set up "passwd" so I can login as su.

Now I want to cross compile a linux.
First I configured linux for power pc.

 I want to run "make dep"
But now I got the following message from
make:
------------------------------------------------------

     bash-2.02# make dep
     make -C arch/ppc/boot fastdep
     //d/usr/src/linux/scripts/mkdep *.[Sch] > .depend
     mkdep: mmap: Not enough memory
     mkdep: mmap: Not enough memory
     mkdep: mmap: Not enough memory
     mkdep: mmap: Not enough memory
     mkdep: mmap: Not enough memory

----------------------------------------------------------------

I've set my C:\Winnt\system32\config.nt

     files=50
     shell=%SystemRoot%\system32\command.com /p /e:8192

I' using NT4.0 with SP4 and 128 MB RAM

     bash-2.02# make -v
     GNU Make version 3.75-ecosSWtools-990319, by Richard
     Stallma....

My bash invoking  cygnus.bat

     @ECHO OFF
     SET MAKE_MODE=UNIX
     SET
     PATH=E:\cygnus\ecosSWtools-990319\H-i586-cygwin32\bin;E:\cygnus\cygwin-b20\H-i586-cygwin32\bin;.;%PATH%;

     bash

Can you help me ?
(I've tried the same procedure on a linux machine, where it
works fine. But I need it on my NT)

Kind regards
--
METROHM AG
Andreas Helfenberger
Oberdorfstr.68
CH-9100 Herisau
        -------

Tel. 071 353 85 96
Email: <mailto:[email-masked]>        www: <http://www.metrohm.ch>